using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PrecastConcretePlantContracts.BindingModels;
using PrecastConcretePlantContracts.SearchModels;
using PrecastConcretePlantContracts.ViewModels;

namespace PrecastConcretePlantContracts.StoragesContracts
{
    public interface IReinforcedStorage
    {
        List<ReinforcedViewModel> GetFullList();
        List<ReinforcedViewModel> GetFilteredList(ReinforcedSearchModel model);
        ReinforcedViewModel? GetElement(ReinforcedSearchModel model);
        ReinforcedViewModel? Insert(ReinforcedBindingModel model);
        ReinforcedViewModel? Update(ReinforcedBindingModel model);
        ReinforcedViewModel? Delete(ReinforcedBindingModel model);
    }

}
